%define module WWW-Wikipedia
%define maketest 1

Name:      perl-%{module}
Summary:   Automated interface to the Wikipedia
Version: 1.9
Release: %mkrel 2
License:   Artistic
Group:     Development/Perl
URL:       http://search.cpan.org/dist/%{module}
Source:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW/%{module}-%version.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}
Buildarch: noarch
BuildRequires: perl-libwww-perl
BuildRequires: perl(CGI)
BuildRequires: perl(Text::Autoformat)
%if %{mdkversion} < 1010
Buildrequires: perl-devel
%endif

%description
WWW::Wikipedia provides an automated interface to the Wikipedia 
http://www.wikipedia.org, which is a free, collaborative, online 
encyclopedia. This module allows you to search for a topic and return the 
resulting entry. It also gives you access to related topics which are also 
available via the Wikipedia for that entry.

%prep
%setup -q -n %{module}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/*/*
%perl_vendorlib/*


%changelog
* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.9-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Apr 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdk
- New release 1.9

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-4mdk
- Fix BuildRequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-2mdk
- Buildrequires fix 

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdk
- New release 1.8

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- new release 
- fix sources url for rpmbuildupdate
- fix url

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-1mdk
- initial release
